// Motor control pins: L298N H bridge
const int enAPin = 2; // Left motor PWM speed control
const int in1Pin = 3; // Left motor Direction 1
const int in2Pin = 4; // Left motor Direction 2
const int in3Pin = 5; // Right motor Direction 1
const int in4Pin = 6; // Right motor Direction 2
const int enBPin = 7; // Right motor PWM speed control

void motorLeft(int dir, int speed)
{
  if (dir==1)
  {
  digitalWrite(in1Pin,HIGH);
  digitalWrite(in2Pin,LOW);
  }
  else
  {
  digitalWrite(in1Pin,LOW);
  digitalWrite(in2Pin,HIGH);
  }
  analogWrite(enAPin,speed); //needs more than 150 to work
}

void motorRight(int dir, int speed)
{
  if (dir==1)
  {
  digitalWrite(in3Pin,HIGH);
  digitalWrite(in4Pin,LOW);
  }
  else
  {
  digitalWrite(in3Pin,LOW);
  digitalWrite(in4Pin,HIGH);
  }
  analogWrite(enBPin,speed); //needs more than 150 to work
}

void setup() {
  //motor stuff
  pinMode(enAPin, OUTPUT);
  pinMode(in1Pin, OUTPUT);
  pinMode(in2Pin, OUTPUT);
  pinMode(in3Pin, OUTPUT);
  pinMode(in4Pin, OUTPUT);
  pinMode(enBPin, OUTPUT);

}
  
void loop() {
  motorLeft(-1,150);
  motorRight(1,150);
}
